- entityDefinitions:
  - IDI_Task_EditElementContent: '{e4f898f5-8cf6-48bf-88de-e0533b93e26c}'
  - IDE_ElementContent_Edit: '{4eb51e99-b3e2-4cc1-88e3-6bd2ee1bcde7}'

  - IDM_ElementContent_Edit_Start: '{dcaa0dbc-59fd-468e-8e2a-5bf8b8066bce}'

- library: '&IDL_MochaBaseSystem;'
  instances:
  - sequenceTask: '&IDI_Task_EditElementContent;'
    name: 'Edit Element Content'
    schedulable: no
    longRunning: no
    suppressRIHints: no
    stepName: Edit Element Content
    showSpreadsheetButtonOnSelection: no
    taskCategory: '&IDI_TaskCategory_ElementContent;'
    initiatingElement:
    - globalIdentifier: '{cb058e78-3f8a-4da4-8a14-9b142fdf67e3}'
      name: 'Element Content Edit Start'
      processedByCTMethod:
      - globalIdentifier: '{c7c3d85b-0bd3-4659-915c-8de9e089697c}'
        forClassId: '&IDC_ElementContent;'
        verb: ''
        name: 'Element Content Start'
        buildsResponseWithBRMB:
        - globalIdentifier: '{e4d8bf56-76dd-4d1f-8450-374488c9fbe2}'
          executesMethod: '&IDM_ElementContent_Edit_Start;'

      elementContents:
      - globalIdentifier: '{54c995af-72c6-492e-946f-69b4ca8f13f1}'
        defaultDataType: '&IDE_ElementContent_Select;'
        displayOptions:
        - instance: '&IDI_DisplayOption_Singular;'
        - instance: '&IDI_DisplayOption_ShowSubelementsVertically;'

  - buildUIResponseMethod: '&IDM_ElementContent_Edit_Start;'
    usesExecutableReturningElement: '&IDE_ElementContent_Edit;'

  - element: '&IDE_ElementContent_Edit;'
    name: edit element content
    moduleId: '&IDI_Module_MochaBaseSystem;'
    elementContents:
    - globalIdentifier: '{0a16fb16-7a3e-4b15-be1a-5ca229e9be62}'
      defaultDataType: '&IDE_ElementContent_Definition;'
      order: a
      displayOptions:
      - instance: '&IDI_DisplayOption_Singular;'
      - instance: '&IDI_DisplayOption_ShowSubelementsVertically;'
    - globalIdentifier: '{649b59d0-cb1a-4bc1-9ab2-fc9d1583cbe7}'
      defaultDataType: '&IDE_ElementContent_Parameters_Sublist;'
      order: b
      builtFromBEMProcess: '{904a26ce-0925-42a6-b02c-294f90cc93f8}'